#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long n, x, levo=0, desno=0;
    cin >> n >> x;
    
    for(long long i=0;i<n;i++)
    {
        long long temp;
        cin >> temp;
        if(temp < x && levo < x-temp)
        {
            levo = x-temp;
        }
        if(temp > x && desno < temp-x)
        {
            desno = temp-x;
        }
    }

    cout << 2*min(levo, desno) + max(levo, desno) << endl;
    return 0;
}